URNDIS(4)

NAME
urndis - USB Remote NDIS Ethernet device

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device ehci
device uhci
device ohci
device xhci
device usb
device miibus
device uether
device urndis

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    if_urndis_load="YES"

DESCRIPTION
The urndis driver provides Ethernet access over Remote NDIS (RNDIS), allowing mobile devices such as phones and tablets to provide network access. It is often referred to as USB tethering, and in most cases must be explicitly enabled on the device.

urndis should work with any USB RNDIS devices, such as those commonly found on Android devices. It does not support different media types or options. For more information on configuring this device, see ifconfig(8).

HARDWARE
The urndis driver supports the "tethering" functionality of many Android devices.

SEE ALSO
arp(4), cdce(4), cdceem(4), ipheth(4), netintro(4), usb(4), ifconfig(8)

HISTORY
The urndis device driver first appeared in OpenBSD 4.7. The first FreeBSD release to include it was FreeBSD 9.3.

AUTHORS
-nosplit The urndis driver was written by Jonathan Armani <armani@openbsd.org>, Michael Knudsen <mk@openbsd.org>, and Fabien Romano <fabien@openbsd.org>. It was ported to FreeBSD by Hans Petter Selasky <hselasky@FreeBSD.org>.